GET api/lockapi/locksbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "05fee69b-d256-4455-96a0-2cfe606ab1b8",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "0091e1fe-d6ee-4dab-96fe-e0263c475732",
"guard_id": "c71e4b3e-b726-4f23-80f3-ee8306647be6",
"active": true
},
{
"id": "05fee69b-d256-4455-96a0-2cfe606ab1b8",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "0091e1fe-d6ee-4dab-96fe-e0263c475732",
"guard_id": "c71e4b3e-b726-4f23-80f3-ee8306647be6",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>0091e1fe-d6ee-4dab-96fe-e0263c475732</distribution_id>
<guard_id>c71e4b3e-b726-4f23-80f3-ee8306647be6</guard_id>
<id>05fee69b-d256-4455-96a0-2cfe606ab1b8</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>0091e1fe-d6ee-4dab-96fe-e0263c475732</distribution_id>
<guard_id>c71e4b3e-b726-4f23-80f3-ee8306647be6</guard_id>
<id>05fee69b-d256-4455-96a0-2cfe606ab1b8</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>